aboutsummaryrefslogtreecommitdiffstats
path: root/testing/icdiff/fix-flake8-binary.patch
blob: 87098ec55a1f9b27881291ebb462785cfa721e11 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
diff --git a/test.sh b/test.sh
old mode 100755
new mode 100644
index b44425d817..be8eb15fa9
--- a/test.sh
+++ b/test.sh
@@ -129,7 +129,7 @@ if [ "$VERSION" != $(head -n 1 ChangeLog) ]; then
   fail
 fi
 
-if ! command -v 'flake8' >/dev/null 2>&1; then
+if ! command -v 'flake8-3' >/dev/null 2>&1; then
   echo 'Could not find flake8. Ensure flake8 is installed and on your $PATH.'
   if [ -z "$VIRTUAL_ENV" ]; then
     echo 'It appears you have have forgotten to activate your virtualenv.'
@@ -139,7 +139,7 @@ if ! command -v 'flake8' >/dev/null 2>&1; then
 fi
 
 echo 'Running flake8 linter...'
-if ! flake8 icdiff; then
+if ! flake8-3 icdiff; then
   fail
 fi